Page MenuHomePhabricator

treedirstate: add configuration options
ClosedPublic

Authored by mbthomas on Nov 16 2017, 12:13 PM.

Details

Reviewers
durham
quark
Group Reviewers
Restricted Project
Commits
rFBHGX2af567307a40: treedirstate: add configuration options
Summary

Add configuration options to control upgrading, downgrading and repacking of
treedirstate.

Diff Detail

Repository
rFBHGX Facebook Mercurial Extensions
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mbthomas created this revision.Nov 16 2017, 12:13 PM
Herald added a reviewer: Restricted Project. · View Herald TranscriptNov 16 2017, 12:13 PM
durham accepted this revision.Nov 21 2017, 12:17 PM
This revision is now accepted and ready to land.Nov 21 2017, 12:17 PM
mbthomas updated this revision to Diff 3738.Nov 21 2017, 1:36 PM
mbthomas updated this revision to Diff 3834.Nov 24 2017, 11:53 AM
mbthomas updated this revision to Diff 3853.Nov 24 2017, 3:44 PM
quark accepted this revision.Nov 24 2017, 9:21 PM
quark added a subscriber: quark.
quark added inline comments.
hgext3rd/treedirstate.py
78

nit: default=3

mbthomas updated this revision to Diff 3873.Nov 27 2017, 8:00 AM
mbthomas updated this revision to Diff 3891.Nov 27 2017, 4:33 PM
mbthomas updated this revision to Diff 3893.Nov 27 2017, 4:36 PM
This revision was automatically updated to reflect the committed changes.